/**
 * This file is part of the MedSafe application which is commercial software created by MedVision360 B.V.
 * The source code is proprietary and confidential.
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited.
 *
 * Copyright (c) by MedVision360 B.V. All rights reserved.
 *
 * For the application name: io.medrecord.medsafe
 */
import { ElementRef } from '@angular/core';
import * as Core from '@angular/core';
export declare class LineChartComponent implements Core.OnInit, Core.AfterViewChecked {
    private element;
    readonly width = 152;
    readonly numberOfPoints = 13;
    data: any[];
    isAppended: boolean;
    constructor(element: ElementRef);
    ngOnInit(): void;
    /**
     * Points of Y axis should be from 0 to 10;
     * This is just stub graph generation
     */
    fillArray(): void;
    ngAfterViewChecked(): void;
    drawChart(): void;
}
